> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Provide alert resolution



## OpenAPI

````yaml api-reference/openapi.json put /api/v1/alerts/{id}/resolution
openapi: 3.0.0
info:
  title: Trusto API Documentation
  description: API documentation Trusto chargeback alerts resolution
  version: '1.0'
  contact: {}
servers:
  - url: https://api.trusto.one
    description: Sandbox environment
  - url: https://api.trusto.io
    description: Production environment
security: []
tags:
  - name: Alerts
    description: Alerts lookup and view
  - name: Resolutions
    description: Providing resolutions to the alerts
paths:
  /api/v1/alerts/{id}/resolution:
    put:
      tags:
        - Resolutions
      summary: Provide alert resolution
      operationId: AlertsController_resolve
      parameters:
        - name: id
          required: true
          in: path
          description: Alert ID
          schema:
            example: 123e4567-e89b-12d3-a456-426614174000
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveAlertDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ResolveAlertDto:
      type: object
      properties:
        amountStopped:
          type: number
          description: >-
            Stopped amount of the transaction. Applicable only to the
            resolution=PARTIALLY_STOPPED
          example: 100.12
        comments:
          type: string
          description: >-
            Free-form comment that merchant thinks necessary to pass with the
            resolution
          example: Comments
        resolution:
          type: string
          description: Resolution outcome
          enum:
            - STOPPED
            - PARTIALLY_STOPPED
            - PREVIOUSLY_CANCELLED
            - MISSED
            - NOTFOUND
            - ACCOUNT_SUSPENDED
            - IN_PROGRESS
            - SHIPPER_CONTACTED
            - OTHER
            - RESOLVED
            - PREVIOUSLY_REFUNDED
            - UNRESOLVED_DISPUTE
            - NOT_FOUND
          example: PARTIALLY_STOPPED
        refunded:
          type: string
          description: The refund decision made by the merchant
          enum:
            - REFUNDED
            - NOT REFUNDED
            - NOT SETTLED
          example: REFUNDED
      required:
        - amountStopped
        - comments
        - resolution
        - refunded
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````